/*
 *   Copyright (C) 1988-2006 Lucent Technologies Inc. and others.
 *   All Rights Reserved.
 */

/* return the non-null environment value or the default argument */

#if defined( __STDC__ ) || defined( __BORLANDC__ )
#include <stdlib.h>
#else
char	*getenv();
#endif

char	*
mygetenv(variable, deflt)
char	*variable, *deflt;
{
	char	*value;

	value = getenv(variable);
	if (value == (char *) 0 || *value == '\0') {
		return(deflt);
	}
	return(value);
}
